      INTEGER IDNTPL, NRECNT, MXRCNT
      CHARACTER*(*) TITLNT, CBLKDA
      PARAMETER (IDNTPL = 10)        ! ntuple ID
      PARAMETER (MXRCNT = 65000)     ! max number of records in ntuple
      PARAMETER (NRECNT = 4096)      ! record length for the ntuple
      PARAMETER (TITLNT = 'LPROTO')  ! title of the ntuple
      PARAMETER (CBLKDA = 'XEDATA')  ! name of the block for data
* 
      INTEGER MXDEPO
      PARAMETER (MXDEPO = MXDEXE)
      INTEGER EVENT
      INTEGER NTOTPE, NSUM, NPEW, NNPE, NPE, NDEPO
      INTEGER STTRA, PTCL, NGP, NGP0, DEPO0
      REAL    EIN, XIN, YIN, THIN, DEXE, DEPMT, XCONV, XDEPO, ZFIRST
      REAL    OVTX
      COMMON /NTUPLE/
     +        EVENT, EIN, XIN, YIN, THIN,
     +        DEXE, DEPMT, XCONV(3), ZFIRST, NTOTPE,
     +        NSUM, NPEW(NWALL), NNPE, NPE(MXPMTS),
     +        NDEPO, XDEPO(4,MXDEPO)
#if defined(MEGLIB_MYDOC)
***********************************************************************
*
*                  Sequence NTUPLE
*                  for storing data for column-wise ntuple
*
***********************************************************************
*
* EVENT  : event number
* EIN    : incident photon momentum (in GeV)
* XIN    : incident photon x-position
* YIN    : incident photon y-position
* THIN   : incident photon theta angle (in rad)
*
* DEXE   : total E deposit in Xe
* DEPMT  : total E deposit other than in Xe
* NTOTPE : total # of emitted p.e. (times q.eff.)
*
* NSUM     : total # of photo-electrons observed by the PMTs
* NPEW(iw) : # of photons for each wall
* NNPE     : index variable for ntuple; always =MXPMTS
* NPE(ip)  : # of photo-electrons for ip-th PMT ; ip=1 to NALPMT
*          : ip = (ix-1) + (iy-1)*IJOFFS(iw) + (iw-1)*IWOFFS(iw)
*
* NDEPO        : # of energy deposits
* XDEPO(ix,id) : position (ix=1-3) and energy (ix=4) of id-th E deposit
*
***********************************************************************
#endif
