      SUBROUTINE XSIFFR
*.
*...XSIFFR   Define FFREAD cards for scinti. light tracking in liq. Xe
*.
*. SEQUENCE  : GCONST
*.           : RCREP  XECGEO XECSCI
*. CALLS     : XSRNDQ
*. CALLED    : UGINIT
*.
*. BANKS L   : None
*. BANKS U   : None
*.
*. AUTHOR    : T.Mashimo
*. VERSION   : 1.03
*. CREATED   : 07-Apr-00
*. LAST MOD  : 16-Mar-02
*.
*. Modification Log.
*.
*. 16-Mar-02   K.Ozone         (V1.03) removed CTHETA FFKEY
*. 05-Sep-01   W.Ootani        (V1.02) added CTHETA FFKEY
*. 02-Feb-01   T.Mashimo       (V1.01) Default of LRAYL is now 2.
*. 07-Apr-00   T.Mashimo       (V1.00) First version.
*.
*.**********************************************************************
*.
#include "declare.inc"
#include "geant321/gconst.inc"
#include "xecgeo.inc"
#include "xecsci.inc"
#include "rcrep.inc"
*
*-- Initialize variables in /XECSCI/
*
      ISCTRK = 1
      ESCINT = 24.E-9
      IPOISN = 1
      RFRIDX = 1.5655
      VLIGHT = CLIGHT/RFRIDX
      LRAYL  = 2
      DRAYL  = 30.0
      IABSO  = 1
      DABSO  = 20.0
      IREFL  = 0
      EREFL  = 0.60
*
      NSRNDM(1) = 0
      NSRNDM(2) = 0
      CALL XSRNDQ(0, 0, 1, ' ')
*
*-- Define our FFREAD data cards
*
      CALL FFKEY('XESCTRACK',   ISCTRK, 1, 'INTEGER')
      CALL FFKEY('XESCENERGY',  ESCINT, 1, 'REAL')
      CALL FFKEY('XESCPOISSON', IPOISN, 1, 'INTEGER')
      CALL FFKEY('XESCRFRIDX',  RFRIDX, 1, 'REAL')
      CALL FFKEY('XESCRAYL',    LRAYL,  1, 'INTEGER')
      CALL FFKEY('XESCDRAYL',   DRAYL,  1, 'REAL')
      CALL FFKEY('XESCABSO',    IABSO,  1, 'INTEGER')
      CALL FFKEY('XESCDABSO',   DABSO,  1, 'REAL')
      CALL FFKEY('XESCREFL',    IREFL,  1, 'INTEGER')
      CALL FFKEY('XESCEREFL',   EREFL,  1, 'REAL')
      CALL FFKEY('XESCRNDM',    NSRNDM, 2, 'INTEGER')
*
  999 CONTINUE
      RETURN
      END
